# angular.extend

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Extends the destination object `dst` by copying all of the properties from the `src` object(s) to `dst`. You can specify multiple `src` objects.

## Usage

    angular.extend(dst, src);

### Parameters

- `dst – {Object} –`

  The destination object.

- `src – {...Object} –`

  The source object(s).